> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

### GET /locations/:location\_id/treatments

This endpoint retrieves treatmetns for a specific location.

#### Parameters

* location\_id (required): The ID of the location for which patients are to be retrieved.
* after: A parameter to specify the cursor for pagination.
* items: A parameter to specify the number of items to be returned.
* The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC as shown in example below

```json theme={null}
{
    "q": {
        "fetch_modified_since": "2025-12-02T01:58:00.164Z"
    }
}
```

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatments?items=5000" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
    -H "Content-Type: application/json" \
    -d '{
      "q": {
        "patient_id_eq": "61688914"
      }
    }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatments?items=5000&q[patient_id_eq]=61688914", {
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatments?items=5000",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"},
      json={
        "q": {
          "patient_id_eq": "61688914"
        }
      }
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/treatments?items=5000")
  request = Net::HTTP::Get.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"
  request["Content-Type"] = "application/json"
  request.body = JSON.dump({
    "q" => {
      "patient_id_eq" => "61688914"
    }
  })

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

#### Response

* Content-Type: application/json

```json theme={null}
{
    "data": [
        {
            "id": "18940965",
            "type": "treatment",
            "attributes": {
                "deleted": false,
                "patient_id": 3828595,
                "appointment_id": null,
                "provider_id": 35,
                "updated_at": "2025-12-03T12:16:59.579Z",
                "plan_date": null,
                "code": null,
                "location": null,
                "co_pay": null,
                "cost": null,
                "visit": null,
                "on_date": null,
                "amount": null,
                "status": null
            }
        },
    ],
    "pagy": {
        "total": 1,
        "items": 1
    }
}
```
